routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use corrective\ticketController;
use overtime\overtimeController;
use meter\summaryMeterController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


// Route::get('/', 'AuthController@showFormLogin')->name('loginform');
// Route::get('/', 'LoginController@index');
Route::get('/', 'LoginController@index')->name('login');

Route::get('/login', 'LoginController@index')->name('login');
Route::post('post-login', 'LoginController@postLogin'); 
Route::get('/dashboard', 'DashboardController@index')->name('dashboard');


// Route::get('register', 'LoginController@register');
// Route::post('post-register', 'LoginController@postRegister'); 
Route::get('generate', 'LoginController@generate');
Route::put('put-generate', 'LoginController@putGenerate'); 
Route::get('logout', 'LoginController@logout')->name('logout');




Route::middleware('auth')->group(function () {
    Route::get('/news/', function() {
        return view('news.index');
    })->name('news');
    // Route::middleware(['middleware' => 'auth'])->group(function () {
        
    // })
    
    Route::get('/meter/list-confirmation', 'meter\tenantConfirmationController@list_confirm')->name('list_meter_confirm');
    Route::post('/meter/grid-confirm/', 'meter\tenantConfirmationController@grid_confirmation')->name('grid_confirm');
    Route::post('/meter/confirm', 'meter\tenantConfirmationController@update')->name('meter.confirm');
    Route::get('/meter/confirmation/{param}', 'meter\tenantConfirmationController@index');
    Route::get('/meter/history/', 'meter\tenantConfirmationController@list_history')->name('list_meter_history');
    Route::post('/meter/grid-history/', 'meter\tenantConfirmationController@grid_history')->name('grid_history');
    Route::get('/meter/summary/', 'meter\summaryMeterController@index')->name('list_meter_summary');
    Route::post('/meter/load_data_summary/', 'meter\summaryMeterController@load_data')->name('load_data_summary');
    Route::prefix('/meter')->group(function () {
        Route::get('/monitoring/', 'meter\meterCaptureController@index')->name('meter_monitoring');
        Route::get('/monitoring/getData', 'meter\meterCaptureController@getData')->name('meter_monitoring.getData');
    });
    
    
    // Route::resource('/masteraccount', 'MasteraccountController');
    
    
    // route corrective request ticket
    Route::get('/corrective/request-ticket/', 'corrective\ticketController@create_ticket')->name('request_ticket');
    Route::get('/corrective/request-ticket/get-category-id/', 'corrective\ticketController@get_type_id');
    Route::resource('req-ticket', ticketController::class);
    
    // route corrective history ticket
    Route::get('/corrective/history-ticket/', 'corrective\ticketController@history_ticket')->name('history_ticket');
    Route::get('/corrective/history-ticket/delete/{tenant_ticket_id}','corrective\ticketController@destroy');
    Route::get('/corrective/history-ticket/show/{tenant_ticket_id}','corrective\ticketController@show');
    Route::post('/corrective/history-ticket/show/update/{tenant_ticket_id}', 'corrective\ticketController@update');
    Route::resource('updateStatus', ticketController::class);

    // route overtime request ticket
    Route::get('/overtime/request-ticket/', 'overtime\overtimeController@create_ticket')->name('request_overtime');
    Route::get('/overtime/history-ticket/', 'overtime\overtimeController@history_ticket')->name('history_overtime');
    Route::get('/overtime/modify-ticket/', 'overtime\overtimeController@modify_ticket')->name('edit_overtime');
    Route::get('overtime/history-ticket/delete/{overtime_code}', 'overtime\overtimeController@destroy');
    Route::get('/overtime/get-time/{date}', 'overtime\overtimeController@get_time')->name('get_time');
    Route::get('/overtime/get-start-time/{start}', 'overtime\overtimeController@get_start_time')->name('get_start_time');
    Route::get('/overtime/get-duration/', 'overtime\overtimeController@get_duration')->name('get_duration');
    Route::post('/overtime/history-ticket/request-modify/{overtime_code}', 'overtime\overtimeController@request_modify');
    Route::get('/overtime/history-ticket/modify/{overtime_code}', 'overtime\overtimeController@modify_ticket');
    Route::post('/overtime/history-ticket/modify/modified/{overtime_code}', 'overtime\overtimeController@modified_ticket');
    Route::get('/overtime/history-ticket/get-ovt-details/{params}', 'overtime\overtimeController@get_ovt_details');
    Route::resource('overtime', overtimeController::class);


    // Route::get('/preventive/schedule/', 'underconstructionController@index')->name('preventive_schedule');    
    // Route::resource('preventive', scheduleController::class);

    Route::get('/billing/information/', 'underconstructionController@index')->name('billing_information');    
    // Route::resource('billing', billingController::class);

    Route::get('/aggreement/information/', 'underconstructionController@index')->name('agreement_information');    
    // Route::resource('agreement', aggreementController::class);

    Route::get('/vehicle/history/', 'underconstructionController@index')->name('vehicle_history');    
    // Route::resource('vehicle', vehicleHistoryController::class);

    // route profile
    Route::get('/profile/{tenant_person}', 'profile\profileController@index');
    // route change password
    Route::get('/change_password/{tenant_person}', 'Auth\ResetPasswordController@index');
    Route::post('/submit_new_password', 'Auth\ResetPasswordController@submitNewPassword');

    Route::prefix('tracking-loading')->group(function () {
      Route::get('/', 'trackingLoading\historyController@index')->name('history_tracking_loading');
      Route::get('/listHistory', 'trackingLoading\historyController@listHistory');
      Route::get('/pdf', 'trackingLoading\historyController@printPdf');
      Route::get('/excel', 'trackingLoading\historyController@printExcel');
      Route::post('/create-update', 'trackingLoading\historyController@createOrUpdate');

        Route::get('/settings', 'trackingLoading\BmVisitTrackSettingController@index')->middleware('auth');
        Route::post("/settings", 'trackingLoading\BmVisitTrackSettingController@createOrUpdate')->middleware('auth');
        Route::post('/settings/datatable', 'trackingLoading\BmVisitTrackSettingController@getData')->middleware('auth');
        Route::delete('/settings/{id}', 'trackingLoading\BmVisitTrackSettingController@destroy')->middleware('auth');

        Route::get("/settings/size-types", "trackingLoading\BmVisitTrackSettingSizeTypeController@index")->middleware('auth');
        Route::post("/settings/size-types/create-update", "trackingLoading\BmVisitTrackSettingSizeTypeController@createOrUpdate")->middleware('auth');
        Route::post("/settings/size-types/datatable", "trackingLoading\BmVisitTrackSettingSizeTypeController@getData")->middleware('auth');
        Route::delete("/settings/size-types/{id}", "trackingLoading\BmVisitTrackSettingSizeTypeController@destroy")->middleware('auth');

        Route::prefix('not-scan-out')->group(function () {
            Route::get('/', 'trackingLoading\notScanOutController@index')->name('notscanout_tracking_loading');
            Route::get('/listHistory', 'trackingLoading\notScanOutController@listHistory');
            Route::get('/request-bak/{param}', 'trackingLoading\notScanOutController@requestBak');
            Route::post('/store', 'trackingLoading\notScanOutController@store');
            Route::get('/print-pdf', 'trackingLoading\notScanOutController@generate_bak');
        });
    });

    Route::prefix("report-summary")->group(function () {
        Route::get('/', 'trackingLoading\ReportSummaryController@index')->name('report_summary_tracking_loading');
        Route::get('/get-data-table', 'trackingLoading\ReportSummaryController@getDataTable');
        Route::get('/print-pdf', 'trackingLoading\ReportSummaryController@generate_bak');
    });

    Route::prefix('invoice')->group(function () {
        Route::get('/', 'invoice\invoiceController@index')->name('invoice_index');
        Route::get('/listData', 'invoice\invoiceController@listData');
        Route::post('/getDataModal', 'invoice\invoiceController@getDataModal');

    });
});

Route::prefix('five-way')->group(function(){
  Route::get('/', 'fiveWay\fiveWayController@index');
  Route::get('/getEntity', 'fiveWay\fiveWayController@getEntity');
  Route::post('/listData', 'fiveWay\fiveWayController@listData');
});

Route::middleware("auth")->prefix("preventive")->namespace('Preventives')->group(function() {

    Route::prefix("ownerships")->group(function() {
        Route::get("/", "OwnershipController@index")->name("preventive.ownerships.index");
        Route::post("datatable", "OwnershipController@datatables")->name("preventive.ownerships.datatable");
        Route::post("datatable-schedules", "OwnershipController@datatablesSchedules")
            ->name("preventive.ownerships.datatable_schedules");
        Route::patch("schedules/change-schedule-date/{id}", "OwnershipController@changeScheduleDate")
            ->name("preventive.ownerships.change_schedule_date");
    });

    Route::prefix("maintenances")->group(function() {
        Route::get("/", "MaintenanceController@index")->name("preventive.maintenances.index");
        Route::post("datatable", "MaintenanceController@datatable")->name("preventive.maintenances.datatable");
        Route::post("datatable-reschedule", "MaintenanceController@datatableReschedule")->name("preventive.maintenances.datatable_reschedule");

resources/views/overtime/create.blade.php
@extends('layouts.crm_main')

@section('content')
@if(empty(Auth::user()))
   <script>
      window.location = "{{ route('logout') }}";
   </script>
@elseif(Auth::user()->entity_project == '301502' && trim(Auth::user()->project_no) == '210101')
<style>
    .form-control[disabled], fieldset[disabled] .form-control {
        cursor: not-allowed;
    }
    .new-form{
        width: 85%;
        float: left;
    }
    .select2.select2-container .select2-selection{
        height: 45px;
        line-height: 45px;
        padding: .375rem .35rem;
        font-size: 14px;
        color: #d7dbda;
        border: 1px solid #d7dbda;
        border-radius: 10px;
    }
    .select2-selection__arrow{
        margin-top: 8px;
    }
    .select2.select2-container .select2-selection {
        line-height: 20px;
        font-size: 14px;
        color: #333;
    }
    .fl-left{
        float: left;
    }
    #remove_zone{
        width: 100%;
    }
    select option{
        padding: 5px;
    }
</style>
<div class="col-sm-12 col-md-12 col-xs-12">
    <div class="iq-card">
        <div class="iq-card-header d-flex justify-content-between">
            <div class="iq-header-title">
            <h4 class="card-title"><b>Overtime Request</b></h4>
            </div>
        </div>
        <hr>

        @if ($message = Session::get('success'))
        <div class="toast text-white fade show" role="alert" aria-live="assertive" aria-atomic="true" data-animation="true" data-delay="5000" data-autohide="true" style="position: fixed; top: 0; right: 0; z-index: 99; background-color: #27b3458a; margin: 15px; transition: 0.5s">
            <div class="toast-header text-white" style="background-color: #27b3458a;">
                <i class="fa fa-bell" aria-hidden="true"></i>
                &nbsp;
                <strong class="mr-auto">Notification</strong>
                <button type="button" class="ml-2 mb-1 close text-white" data-dismiss="toast" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="toast-body">
                {{ $message }}
            </div>
        </div>
        @elseif ($message = Session::get('error'))
        <div class="toast text-white fade show" role="alert" aria-live="assertive" aria-atomic="true" data-animation="true" data-delay="5000" data-autohide="true" style="position: fixed; top: 0; right: 0; z-index: 99; background-color: #b63d3d; margin: 15px; transition: 0.5s">
            <div class="toast-header text-white" style="background-color: #b63d3d;">
                <i class="fa fa-bell" aria-hidden="true"></i>
                &nbsp;
                <strong class="mr-auto">Notification</strong>
                <button type="button" class="ml-2 mb-1 close text-white" data-dismiss="toast" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="toast-body">
                {{ $message }}
            </div>
        </div>
        
        @endif

        <div class="table-responsive center">
            <form action="{{ route('overtime.store') }}" id="form_overtime" method="post" enctype="multipart/form-data">
            {!! csrf_field() !!}
            <div class="col-md-6" style="float: left">
                <div class="mb-3 row">
                    <label class="col-sm-2 col-form-label">Contact Person</label>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" value="{{ Auth::user()->tenant_person }}" disabled required>
                        <input type="hidden" name="tenantId" value="{{ Auth::user()->tenant_id }}">
                        <input type="hidden" name="tenantName" value="{{ Auth::user()->tenant_person }}">
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="col-sm-2 col-form-label">Date Request</label>
                    <div class="col-sm-4">
                        <div class="docs-datepicker">
                            <div class="input-group">
                              <input type="text" data-toggle="datepicker" class="form-control docs-date" id="date" name="date" placeholder="Pick a date" autocomplete="off" oninvalid="this.setCustomValidity('Date not selected.')" onchange="this.setCustomValidity('')" required>
                              <div class="input-group-append">
                                <button type="button" class="btn btn-outline-secondary docs-datepicker-trigger" disabled>
                                  <i class="fa fa-calendar" aria-hidden="true"></i>
                                </button>
                              </div>
                            </div>
                            <div class="docs-datepicker-container"></div>
                        </div>
                    </div>
                    <label class="col-sm-1 col-form-label">Day</label>
                    <div class="col-sm-3">
                        <input type="text" class="form-control" name="day" id="day" placeholder="Day" style="background-color: #fff" readonly required>
                    </div>
                </div>
                <div class="mb-3 row wrap_zone">
                    <label class="col-sm-2 col-form-label">Zone</label>
                    <div class="col-sm-4">
                        <select name="zone[]" id="zone" class="form-control zone" oninvalid="this.setCustomValidity('Zone not selected.')" onchange="this.setCustomValidity('')" required>
                            <option value="">Choose..</option>
                            @foreach ($get_ovt_zone as $zone)
                                <option value="{{ $zone->zone_descs }}">{{ $zone->zone_descs }}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 col-form-label">AC</label>
                    <div class="col-sm-3">
                        <select class="form-control" name="typeAc[]" id="typeAc" oninvalid="this.setCustomValidity('AC not selected.')" onchange="this.setCustomValidity('')" required>
                            <option value="">Choose..</option>
                            @forelse ($type_overtime as $item)
                                <option value="{{ $item->type_id }}" {{ (old('typeAc') == $item->type_id) ? 'selected':'' }}>{{ $item->type_desc }}</option>
                            @empty
                                Not Found
                            @endforelse
                        </select>
                    </div>
                    <div class="col-sm-2">
                        <button class="btn btn-success add_row_zoneac mt-1" style="border-radius: 0px"><i class="fa fa-plus-circle" aria-hidden="true" style="margin-right: 5px"></i> Add</button>
                    </div>
                </div>
            </div>
            <div class="col-md-6" style="float: left">
                <div class="mb-3 row">
                    <label class="col-sm-2 col-form-label">Start Time</label>
                    <div class="col-sm-4">
                        <select class="form-control" id="start_time" name="start_time" oninvalid="this.setCustomValidity('Time start not selected.')" onchange="this.setCustomValidity('')" required>

                        </select>
                    </div>
                    <label class="col-sm-2 col-form-label">End Time</label>
                    <div class="col-sm-4">
                        <select class="form-control" id="end_time" name="end_time" oninvalid="this.setCustomValidity('Time end not selected.')" onchange="this.setCustomValidity('')" required>

                        </select>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="col-sm-2 col-form-label">Duration</label>
                    <div class="col-sm-4" id="dur">
                        <input type='text' class='form-control' name='duration' id='duration' style='background-color: #fff' disabled>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="col-sm-2 col-form-label">User</label>
                    <div class="col-sm-8 wrap_user">
                        <input type="text" class="form-control" name="user[]" id="user" oninvalid="this.setCustomValidity('User not filled.')" onchange="this.setCustomValidity('')" required>
                    </div>
                    <div class="col-sm-2">
                        <button class="btn btn-success add_field_button mt-1" style="border-radius: 0px"><i class="fa fa-plus-circle" aria-hidden="true"></i>Add</button>
                    </div>
                </div>
                <button type="button" id="btnSubmit" class="btn btn-success mb-5" style="float: right; background-color: #26B99A; border-radius: 0; border: 0"><i class="fa fa-check"></i> Send</button>
                <a href="{{ route('news') }}" class="btn btn-danger mb-5" style="float: right; background-color: #d9534f; border-radius: 0; border: 0"><i class="fa fa-times"></i> Close</a>
            </div>
            </form>
        </div>
    </div>
</div>

<script type="text/javascript">
    var msg = '{{Session::get('alert')}}';
    var exist = '{{Session::has('alert')}}';
    if(exist){
      alert(msg);
    }
</script>
@else
    <script>
        window.location = "{{ route('news') }}";
    </script>
@endif
@endsection

@push('scripts')
{{ HTML::script('js/overtime.js') }}
@endpush